%define upstream_name    Pod-Cpandoc
%define upstream_version 0.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Perldoc that works for modules you don't have installed
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(IO::Socket::SSL) >= 1.560.0
BuildRequires: perl(JSON::PP)
BuildRequires: perl(Net::SSLeay) >= 1.490.0
BuildRequires: perl(inc::Module::Install)
BuildArch:  noarch

%description
'cpandoc' is a perl script that acts like 'perldoc' except that if it would
have bailed out with 'No documentation found for "Uninstalled::Module"', it
will instead scrape a CPAN index for the module's documentation.

One important feature of 'cpandoc' is that it _only_ scrapes the live index
if you do not have the module installed. So if you use 'cpandoc' on a
module you already have installed, then it will just read the
already-installed documentation. This means that the version of the
documentation matches up with the version of the code you have. As a fringe
benefit, 'cpandoc' will be fast for modules you've installed. :)

All this means that you should be able to drop in 'cpandoc' in place of
'perldoc' and have everything keep working. See the /SNEAKY INSTALL manpage
for how to do this.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/cpandoc
%{_mandir}/man1/cpandoc.1*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.160.0-5.mga10
+ Revision: 2204320
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.160.0-4.mga9
+ Revision: 1810101
- Mageia 9 Mass Rebuild
+ ovitters <ovitters>
- use _mandir macro

* Wed Feb 12 2020 umeabot <umeabot> 0.160.0-3.mga8
+ Revision: 1506034
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.160.0-2.mga7
+ Revision: 1285739
- Mageia 7 Mass Rebuild

* Fri Jul 28 2017 sander85 <sander85> 0.160.0-1.mga7
+ Revision: 1132129
- update to 0.16

* Sun Jun 19 2016 pterjan <pterjan> 0.150.0-6.mga6
+ Revision: 1032279
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.150.0-5.mga6
+ Revision: 936535
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-4.mga5
+ Revision: 743376
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.150.0-3.mga5
+ Revision: 685998
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.150.0-2.mga4
+ Revision: 527222
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.150.0-1.mga4
+ Revision: 439765
- update to 0.15

* Sun Jan 13 2013 umeabot <umeabot> 0.130.0-2.mga3
+ Revision: 371904
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.130.0-1.mga3
+ Revision: 342537
- update to 0.13

* Mon Oct 15 2012 jquelin <jquelin> 0.120.0-1.mga3
+ Revision: 306219
- update to 0.12
- update to 0.11

* Thu Jun 30 2011 jquelin <jquelin> 0.100.0-1.mga2
+ Revision: 116616
- imported package perl-Pod-Cpandoc


* Thu Jun 30 2011 cpan2dist 0.10-1mga
- initial mageia release, generated with cpan2dist
